package com.loit.common.script.dto;

/**
 * 前后端类型
 */
public enum BackendFrontEnum {


    /**
     * 后端
     */
    BACKEND("backend", "后端"),

    /**
     * web 前端
     */
    web("web", "前端"),


    /**
     * h5
     */
    h5("h5", "h5");

    private String code;
    private String name;

    private BackendFrontEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public String getCode() {
        return code;
    }

    /**
     * 根据Code 获取枚举
     */
    public static BackendFrontEnum getEnumByCode(String code) {
        for (BackendFrontEnum bfEnum : BackendFrontEnum.values()) {
            if (bfEnum.getCode().equals(code)) {
                return bfEnum;
            }
        }
        return null;
    }

}
