package com.loit.component.keygen.leaf.core.exception;

/**
 * Sharding rule exception.
 *
 */
public final class LeafConfigurationException extends RuntimeException {
    
    private static final long serialVersionUID = -1360264079938958332L;
    
    /**
     * Constructs an exception with formatted error message and arguments. 
     *
     * @param errorMessage formatted error message
     * @param args arguments of error message
     */
    public LeafConfigurationException(final String errorMessage, final Object... args) {
        super(String.format(errorMessage, args));
    }
    
    /**
     * Constructs an exception with cause exception. 
     *
     * @param cause cause exception
     */
    public LeafConfigurationException(final Exception cause) {
        super(cause);
    }
}
